org.apache.lucene.codecs.asserting

## Class AssertingTermVectorsFormat

- java.lang.Object
- - org.apache.lucene.codecs.TermVectorsFormat
  - - org.apache.lucene.codecs.asserting.AssertingTermVectorsFormat

-     public class AssertingTermVectorsFormat
      extends TermVectorsFormat

  Just like the default vectors format but with additional asserts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingTermVectorsFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TermVectorsReader` | `vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)`
    `TermVectorsWriter` | `vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingTermVectorsFormat

          public AssertingTermVectorsFormat()

  - ### Method Detail

    - #### vectorsReader

          public TermVectorsReader vectorsReader(Directory directory,
                                                 SegmentInfo segmentInfo,
                                                 FieldInfos fieldInfos,
                                                 IOContext context)
                                          throws IOException

      Specified by:
        `vectorsReader` in class `TermVectorsFormat`
      Throws:
        `IOException`

    - #### vectorsWriter

          public TermVectorsWriter vectorsWriter(Directory directory,
                                                 SegmentInfo segmentInfo,
                                                 IOContext context)
                                          throws IOException

      Specified by:
        `vectorsWriter` in class `TermVectorsFormat`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.